'Eduardo Alejandro Bravo
'F06065
'X-6658693-D
'Ejercicio Agenda Telefnica Curso SEAS
'16/07/2007
Imports System.Media
Imports System.Data
Imports System.Data.OleDb

Public Class frmDatos
    ' Variables Generales
    Private Tabla As DataTable
    Private Adaptador As OleDbDataAdapter
    Private Fila As Integer

    Private Sub frmDatos_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        My.Settings.Form_Location = Me.Location
        My.Settings.Save()
        Me.NotifyIcon1.Dispose()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ExisteBase()
        ExisteTabla()
        Me.Text = "Agenda Telefnica"
        Label9.Text = "Hoy es " & Date.Now.ToLongDateString
        'La instruccion sql para cargar los datos
        Dim Funcion As String = "SELECT * FROM TablaContactos"
        Try
            Adaptador = New OleDbDataAdapter(Funcion, ObtenerConexion(lblEstado.Text))
            ' Creo los comandos "insertar, actualizar y eliminar"
            Dim ConstruirComando As New OleDbCommandBuilder(Adaptador)
            ' Asigno los comandos al DataAdapter
            Adaptador.UpdateCommand = ConstruirComando.GetUpdateCommand
            Adaptador.InsertCommand = ConstruirComando.GetInsertCommand
            Adaptador.DeleteCommand = ConstruirComando.GetDeleteCommand
            'agrego informacin al esquema acerca de la clave principal
            Adaptador.MissingSchemaAction = MissingSchemaAction.AddWithKey
            'Creo un nuevo objeto de tipo DataTable
            Tabla = New DataTable
            ' Llenar la tabla con los datos indicados
            Adaptador.Fill(Tabla)
            ' Muestra el primer registro
            If Tabla.Rows.Count > 0 Then
                MostrarDatos(Fila)
            Else
                'El ltimo registro
                Fila = -1
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        Check(AvisarmeMenuItem)
        CitasPendientes(Me, frmCitas)

    End Sub

    Private Sub Button1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrimero.Click
        ' Se posiciona en la primera fila
        Fila = 0
        ' Muestra los datos de la fila dependiendo del valor
        MostrarDatos(Fila)
    End Sub

    Private Sub Button2_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAnterior.Click
        ' Se posiciona en la fila anterior
        Fila = Fila - 1
        If Fila < 0 Then Fila = 0
        ' Muestra los datos de la fila dependiendo del valor
        MostrarDatos(Fila)
    End Sub

    Private Sub Button3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSiguiente.Click
        ' Se posiciona en la fila siguiente
        Dim UltimaFila As Integer = Tabla.Rows.Count - 1
        Fila = Fila + 1
        If Fila > UltimaFila Then Fila = UltimaFila
        ' Muestra los datos de la fila dependiendo del valor
        MostrarDatos(Fila)
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUltimo.Click
        ' Se posiciona en la ltima fila de la tabla
        Fila = Tabla.Rows.Count - 1
        ' Muestra los datos de la fila dependiendo del valor
        MostrarDatos(Fila)
    End Sub

    Public Sub MostrarDatos(ByVal Fil As Integer)
        'y asignar el valor de la busqueda
        'declaro una variable de tipo Integer para contar las filas
        Dim Nfil As Integer = Tabla.Rows.Count - 1
        If Fil < 0 Or Nfil < 0 Then Exit Sub
        'declaro la variable dr como un DataRow, datos de la fila
        Dim dr As DataRow = Tabla.Rows(Fil)
        'relleno los datos de la fila indicada anteriormente en los TextBox

        txtNombre.Text = dr("Nombre").ToString
        txtApellidos.Text = dr("Apellidos").ToString
        txtDireccion.Text = dr("Direccion").ToString
        txtTelefono.Text = dr("Telefono").ToString
        txtMovil.Text = dr("Movil").ToString
        txtComentarios.Text = dr("Comentarios").ToString
        txtEmail.Text = dr("Email").ToString
        txtUrl.Text = dr("Url").ToString
        If dr("Cita").ToString <> "" And dr("Cita").ToString = Date.Today.ToShortDateString Then
            lblCitas.Text = "Usted tiene una cita con el Sr. " & dr("Nombre").ToString & " " _
            & dr("Apellidos").ToString & ", " & " el da " & dr("Cita").ToString
        Else
            lblCitas.Text = "No hay citas pendientes para hoy con este contacto."
        End If
        'En el Label8 muestro el numero de registro actual y la cantidad de registros en la tabla
        lbRegistros.Text = Fila + 1 & " de " & Tabla.Rows.Count
        If Fila = 0 Then 'Si la fila es la primera, no se puede retroceder, por lo tanto
            'Hago una llamada al metodo publico en el Modulo Funciones que deshabilita los botones
            BotonF0(btnPrimero, btnAnterior)
        Else
            'Si no es la fila 0 entonces los habilito con el mismo metodo
            BotonF1(btnPrimero, btnAnterior)
        End If
        If Fila = Tabla.Rows.Count - 1 Then
            'si es la ultima fila, hago lo mismo que con los otros botones
            BotonFU(btnSiguiente, btnUltimo)
        Else
            BotonF(btnSiguiente, btnUltimo)
        End If
        CerrarConexion(lblEstado.Text)
    End Sub

    Private Sub TextBox1_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtNombre.KeyPress
        'Solo permito que se ingresen letras y espacio en blanco
        If Char.IsLetter(e.KeyChar) Or Char.IsWhiteSpace(e.KeyChar) Or Char.IsControl(e.KeyChar) Then
            e.Handled = False
        Else
            'Si el valor de la tecla presionada NO corresponde a una Letra
            'Informo al usuario mediante un Mensaje
            MsgBox("Un Nombre no puede contener nmeros o caracteres especiales.", MsgBoxStyle.Exclamation, "Error en Caracteres")
            'El manejador de eventos NO permite la entrada
            e.Handled = True
        End If
    End Sub

    Private Sub TextBox2_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtApellidos.KeyPress
        'Solo permito que se ingresen letras y espacio en blanco o presionar una tecla de control
        If Char.IsLetter(e.KeyChar) Or Char.IsWhiteSpace(e.KeyChar) Or Char.IsControl(e.KeyChar) Then
            e.Handled = False
        Else
            'Si el valor de la tecla presionada NO corresponde a una Letra
            'Informo al usuario mediante un Mensaje
            MsgBox("Un Apellido no puede contener nmeros o caracteres especiales.", MsgBoxStyle.Exclamation, "Error en Caracteres")
            'El manejador de eventos NO permite la entrada
            e.Handled = True
        End If
    End Sub

    Private Sub TextBox4_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtTelefono.KeyPress
        'Si el valor de la tecla presionada es correspondiente a un Nmero
        If Char.IsDigit(e.KeyChar) Or Char.IsControl(e.KeyChar) Then
            'El manejador de eventos permite la entrada
            e.Handled = False
        Else
            'Si el valor de la tecla presionada NO corresponde a un Nmero
            'Informo al usuario mediante un Mensaje
            MsgBox("No puede ingresar Letras para un nmero de tlefono", MsgBoxStyle.Exclamation, "Error en Caracteres")
            'El manejador de eventos NO permite la entrada
            e.Handled = True
        End If
    End Sub

    Private Sub TextBox5_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtMovil.KeyPress
        'Si el valor de la tecla presionada es correspondiente a un Nmero
        If Char.IsDigit(e.KeyChar) Or Char.IsControl(e.KeyChar) Then
            'El manejador de eventos permite la entrada
            e.Handled = False
        Else
            'Si el valor de la tecla presionada NO corresponde a un Nmero
            'Informo al usuario mediante un Mensaje
            MsgBox("No puede ingresar Letras para un nmero de tlefono", MsgBoxStyle.Exclamation, "Error en Caracteres")
            'El manejador de eventos NO permite la entrada
            e.Handled = True
        End If
    End Sub
    Private Sub NotifyIcon1_MouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles NotifyIcon1.MouseDoubleClick
        'al hacer doble clic oculto el icono
        Me.NotifyIcon1.Visible = False
        'Muestro el formulario
        Me.Show()
        'lo traigo al frente
        Me.BringToFront()
        'tengo que poner el estado del formulario porque si hay otros programas abiertos
        'no me lo muestra por encima del resto
        Me.WindowState = FormWindowState.Normal
    End Sub

    Private Sub frmDatos_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        'si el formulario se minimiza, entonces lo oculto
        If Me.WindowState = FormWindowState.Minimized Then
            Hide()
            'y muestro el icono en la barra de tareas
            Me.NotifyIcon1.Visible = True
            'el tiempo que se muestra la ventana del mensaje, el titulo, y los comentarios
            Me.NotifyIcon1.ShowBalloonTip(1000, "Ajenda Telefnica", "Este programa es un ejercicio del curso SEAS realizado por Alejandro Bravo, Matricula N F06065", ToolTipIcon.Info)
        End If
    End Sub

    Public Sub MoverFila(ByVal valor As Integer)
        'Esta funcion le permite al usuario mostrar registros de la fila sealada en la bsqueda
        ' Variable numerica para la ultima fila
        Dim UltimaFila As Integer = Tabla.Rows.Count - 1
        'la fila tiene un valor distinto del ID
        Fila = valor
        If Fila > UltimaFila Then Fila = UltimaFila
        ' Muestra los datos de la fila dependiendo del valor
        MostrarDatos(Fila)
    End Sub

    Private Sub TextBox1_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtNombre.LostFocus
        PrimeraMayuscula(txtNombre.Text, txtApellidos.Text)
    End Sub

    Private Sub TextBox2_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtApellidos.LostFocus
        PrimeraMayuscula(txtNombre.Text, txtApellidos.Text)
    End Sub

    Private Sub NuevoMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NuevoMenuItem.Click
        ' Crear un nuevo registro
        'declaro la variable dr como un DataRow para asignarle a la tabla una nueva fila
        Dim dr As DataRow = Tabla.NewRow()
        ' Dejo los TextBox en blanco para agregar los datos que el usuario desea
        NuevoContacto(txtNombre.Text, txtApellidos.Text, txtDireccion.Text, txtTelefono.Text, _
        txtMovil.Text, txtComentarios.Text, lblCitas.Text, txtEmail.Text, txtUrl.Text)
        ' Aade una nueva fila a en tabla
        Tabla.Rows.Add(dr)
        'Posiciono la fila en el ltimo registro
        Fila = Tabla.Rows.Count - 1
        MostrarDatos(Fila)
        'para guardar los datos el usuario debe confirmarlos, esto deja la opcion
        'de arrepentirse y no guardar nada.
        ' de esta forma no se agregan datos innecesarios a la base de datos
    End Sub

    Private Sub GuardarMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GuardarMenuItem.Click
        Dim Respuesta As Integer
        ObtenerConexion(lblEstado.Text)
        Respuesta = MessageBox.Show("Desea guardar el nuevo registro en la base de datos?.", "Guardar Registro", MessageBoxButtons.OKCancel, MessageBoxIcon.Question)
        'Valor 1 es el boton Aceptar y Valor 2 es el boton Cancelar
        If Respuesta = 1 Then 'Si la respuesta es SI
            ' Actualizar los datos de la fila actual
            'si la fila no es el primer registro ni el ultimo entonces sale del sub
            If Fila < 0 Or Fila > Tabla.Rows.Count - 1 Then Exit Sub

            Dim dr As DataRow = Tabla.Rows(Fila)
            ' Asigna los datos de los TextBox a la fila
            GuardarDatos(dr, txtNombre.Text, txtApellidos.Text, txtDireccion.Text, txtTelefono.Text, _
            txtMovil.Text, txtComentarios.Text, txtEmail.Text, txtUrl.Text)
            ' Guarda los datos en la base de datos
            Try
                Adaptador.Update(Tabla)
                Tabla.AcceptChanges()

                Tabla = New DataTable
                Adaptador.Fill(Tabla)
                'Posiciono la fila en el primer registro
                Fila = 0
                MostrarDatos(Fila)
                CerrarConexion(lblEstado.Text)
            Catch ex As Exception
                'El mensage que devuelve Exception
                MsgBox(ex.Message)
            End Try
        End If
        If Respuesta = 2 Then CerrarConexion(lblEstado.Text)
    End Sub

    Private Sub EliminarMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EliminarMenuItem.Click
        Dim Respuesta As Integer
        ObtenerConexion(lblEstado.Text)
        Respuesta = MessageBox.Show("Est seguro que desea eliminar el registro de la base de datos?.", "Eliminar Registro", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning)
        'Valor 1 es el boton Aceptar y Valor 2 es el boton Cancelar
        If Respuesta = 1 Then 'Si la respuesta es SI
            If Fila < 0 Or Fila > Tabla.Rows.Count - 1 Then Exit Sub

            Dim dr As DataRow = Tabla.Rows(Fila)
            'Elimina los datos que se estan mostrando actualmente
            dr.Delete()
            ' Guardar los datos en la base de datos
            Try
                Adaptador.Update(Tabla)
                Tabla.AcceptChanges()

                My.Computer.Audio.Play(My.Resources.Resource.papelera1, AudioPlayMode.Background)

                ' Posicionarse en la primera fila
                Fila = 0
                ' Mostrar los datos de la fila indicada
                MostrarDatos(Fila)
                CerrarConexion(lblEstado.Text)
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        End If
        If Respuesta = 2 Then CerrarConexion(lblEstado.Text)
    End Sub

    Private Sub BuscarMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BuscarMenuItem.Click
        'Muestro el formulario de bsqueda y oculto el principal, por si acaso
        'el usuario mueve el form de bsqueda y por detras se ve el principal "Queda feo"!
        My.Forms.frmBuscar.Show()
        Me.Hide()
    End Sub

    Private Sub CorreoMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CorreoMenuItem.Click
        My.Forms.frmEmail.Show()
        My.Forms.frmEmail.txtPara.Text = Me.txtEmail.Text
        Me.Hide()
    End Sub

    Private Sub ContactosMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ContactosMenuItem.Click
        Contactos(frmReporte)
        Me.Hide()
    End Sub

    Private Sub Citas2MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Citas2MenuItem.Click
        Citas(frmReporte)
        Me.Hide()
    End Sub

    Private Sub ContactoActualMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ContactoActualMenuItem.Click
        NombreApellidos(frmReporte, txtNombre.Text, txtApellidos.Text)
        Me.Hide()
    End Sub

    Private Sub AvisarmeMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AvisarmeMenuItem.Click
        Check(AvisarmeMenuItem)
        My.Settings.Estado_Citas = Me.AvisarmeMenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub CrearToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CrearMenuItem.Click
        Select Case Calendario.Visible
            Case True
                Calendario.Visible = False
                gbCrearCitas.Visible = False
            Case False
                Calendario.Visible = True
                gbCrearCitas.Visible = True
        End Select
    End Sub

    Private Sub VerCitasMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles VerCitasMenuItem.Click
        My.Forms.frmCitas.Show()
    End Sub

    Private Sub Calendario_DateSelected(ByVal sender As Object, ByVal e As System.Windows.Forms.DateRangeEventArgs) Handles Calendario.DateSelected
        Dim Respuesta As Integer
        ObtenerConexion(lblEstado.Text)
        Respuesta = MsgBox("Desea concertar una cita con el Sr. " & txtNombre.Text & " " & _
        txtApellidos.Text & ", " & "para el da " & _
        Calendario.SelectionRange.Start.Date.ToShortDateString & " a las " & nudHora.Value.ToString & ":" & _
        nudMinutos.Value.ToString & " ?.", MsgBoxStyle.OkCancel, "Concertar Cita")
        ' Si la respuesta es si, y la hora corresponde, se guardarn los datos
        If Respuesta = 1 Then
            If nudHora.Value.ToString & ":" & nudMinutos.Value.ToString < Now.ToShortTimeString Then
                MsgBox("Debe corregir la hora en la que quiere concertar una cita. Son las " _
                & Now.ToShortTimeString & " y la hora seleccionada es " _
                & nudHora.Value.ToString & ":" & nudMinutos.Value.ToString & " .", _
                MsgBoxStyle.Information, "Fuera de Horario")
                Exit Sub
            End If
            If Fila < 0 Or Fila > Tabla.Rows.Count - 1 Then Exit Sub

            Dim dr As DataRow = Tabla.Rows(Fila)

            If Me.nudMinutos.Value <= 9 Then
                GuardarDatos(dr, txtNombre.Text, txtApellidos.Text, txtDireccion.Text, txtTelefono.Text, _
    txtMovil.Text, txtComentarios.Text, txtEmail.Text, txtUrl.Text, Calendario.SelectionRange.Start.Date.ToShortDateString(), nudHora.Value.ToString, 0 & nudMinutos.Value.ToString)
                gbCrearCitas.Visible = False
            End If
            If Me.nudMinutos.Value > 9 Then
                GuardarDatos(dr, txtNombre.Text, txtApellidos.Text, txtDireccion.Text, txtTelefono.Text, _
    txtMovil.Text, txtComentarios.Text, txtEmail.Text, txtUrl.Text, Calendario.SelectionRange.Start.Date.ToShortDateString(), nudHora.Value.ToString, nudMinutos.Value.ToString)
                gbCrearCitas.Visible = False
            End If
        Else
            gbCrearCitas.Visible = False
        End If

        Try
            Adaptador.Update(Tabla)
            Tabla.AcceptChanges()
            Tabla = New DataTable
            Adaptador.Fill(Tabla)
            Fila = 0
            MostrarDatos(Fila)
            CerrarConexion(lblEstado.Text)
            My.Forms.frmHora.TablaContactosTableAdapter.Update(My.Forms.frmHora.AgendaTelefonicaDataSet.TablaContactos)
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        If Respuesta = 2 Then CerrarConexion(lblEstado.Text)
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim Formato As String = Now.ToShortTimeString
        If My.Forms.frmHora.Visible Then Exit Sub
        If My.Forms.frmHora.TablaContactosTableAdapter.FillByHora(My.Forms.frmHora.AgendaTelefonicaDataSet.TablaContactos, Formato) Then
            My.Computer.Audio.Play(My.Resources.Resource.alarma, AudioPlayMode.Background)
            My.Forms.frmHora.Show()
        End If
    End Sub

    Private Sub EliminarHoyMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EliminarHoyMenuItem.Click
        EliminarCitasHoy()
    End Sub
    Dim Tiempo As Integer
    Private Sub TimerAlarma_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TimerAlarma.Tick
        If Tiempo = 0 And Me.Minutos5MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_5_Minutos
        If Tiempo = 0 And Me.Minutos15MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_15_Minutos
        If Tiempo = 0 And Me.Minutos30MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_30_Minutos
        If Tiempo = 0 And Me.Minutos45MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_45_Minutos
        If Tiempo = 0 And Me.Hora1MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_1_Hora
        If Tiempo = 0 And Me.Horas2MenuItem.CheckState = CheckState.Checked Then Tiempo = My.Settings.Memoria_2_Horas

        Tiempo = Tiempo - 1
        If My.Forms.frmCitas.Visible Then Exit Sub
        If Tiempo = 0 Then
            My.Forms.frmCitas.Show()
            If My.Forms.frmCitas.DataGridView1.RowCount - 1 Then
                My.Forms.frmCitas.Close()
            End If
            If Not My.Forms.frmCitas.DataGridView1.RowCount - 1 Then
                My.Forms.frmCitas.Show()
                My.Computer.Audio.Play(My.Resources.Resource.alarma, AudioPlayMode.Background)
            End If
        End If
    End Sub

    Private Sub Minutos5ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minutos5MenuItem.Click
        CheckSmall5()
        Tiempo = My.Settings.Memoria_5_Minutos
        If Me.Minutos5MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Minutos5MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Minutos5 = Me.Minutos5MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub Minutos15MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minutos15MenuItem.Click
        CheckSmall15()
        Tiempo = My.Settings.Memoria_15_Minutos
        If Me.Minutos15MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Minutos15MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Minutos15 = Me.Minutos15MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub Minutos30MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minutos30MenuItem.Click
        CheckSmall30()
        Tiempo = My.Settings.Memoria_30_Minutos
        If Me.Minutos30MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Minutos30MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Minutos30 = Me.Minutos30MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub Minutos45MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minutos45MenuItem.Click
        CheckSmall45()
        Tiempo = My.Settings.Memoria_45_Minutos
        If Me.Minutos45MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Minutos45MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Minutos45 = Me.Minutos45MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub Hora1MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Hora1MenuItem.Click
        CheckSmallHora1()
        Tiempo = Tiempo = My.Settings.Memoria_1_Hora
        If Me.Hora1MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Hora1MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Hora1 = Me.Hora1MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub Horas2MenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Horas2MenuItem.Click
        CheckSmallHoras2()
        Tiempo = Tiempo = My.Settings.Memoria_2_Horas
        If Me.Horas2MenuItem.CheckState = CheckState.Unchecked Then TimerAlarma.Enabled = False
        If Me.Horas2MenuItem.CheckState = CheckState.Checked Then TimerAlarma.Enabled = True
        My.Settings.Hora2 = Me.Horas2MenuItem.CheckState
        My.Settings.Save()
    End Sub

    Private Sub txtUrl_MouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles txtUrl.MouseClick
        Try
            If Me.txtUrl.Text = String.Empty Then
                Exit Sub
            Else
                System.Diagnostics.Process.Start(txtUrl.Text)
            End If
        Catch ex As Exception
            MsgBox("Compruebe la direccin url introducida, esta debe comenzar por 'www' y debe contener la extensin '.com'.", MsgBoxStyle.Critical, "Error en URL")
        End Try

    End Sub

    Private Sub txtUrl_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtUrl.MouseHover
        If Not Me.txtUrl.Text = String.Empty Then
            Me.txtUrl.Cursor = Cursors.Hand
        Else
            Me.txtUrl.Cursor = Cursors.IBeam
        End If
    End Sub

    Private Sub txtEmail_MouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles txtEmail.MouseClick
        If Not Me.txtEmail.Text = String.Empty Then
            My.Forms.frmEmail.Show()
            My.Forms.frmEmail.txtPara.Text = Me.txtEmail.Text
            Me.Hide()
        End If
    End Sub

    Private Sub txtEmail_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtEmail.MouseHover
        If Not Me.txtEmail.Text = String.Empty Then
            Me.txtEmail.Cursor = Cursors.Hand
        Else
            Me.txtEmail.Cursor = Cursors.IBeam
        End If
    End Sub

    Private Sub CheckIniciar_CheckStateChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles CheckIniciar.CheckStateChanged
        Select Case CheckIniciar.CheckState
            Case CheckState.Checked
                IniciarConWindows()
            Case CheckState.Unchecked
                NoIniciarConWindows()
                CheckIniciar.Text = "No iniciar con Windows"
        End Select
    End Sub

    Private Sub lblAcercaDe_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lblAcercaDe.Click
        My.Forms.frmAcercaDe.Show()
    End Sub

    Private Sub lblAcercaDe_MouseHover(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lblAcercaDe.MouseHover
        lblAcercaDe.Cursor = Cursors.Hand
        lblAcercaDe.ForeColor = Color.Blue
    End Sub

    Private Sub lblAcercaDe_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lblAcercaDe.MouseLeave
        lblAcercaDe.Cursor = Cursors.Arrow
        lblAcercaDe.ForeColor = Color.RoyalBlue
    End Sub

End Class
